<?php

use Civi\Api4\Participant;
use Civi\Certificates\PDFCertificate;

class CRM_Certificates_Form_Task extends CRM_Contact_Form_Task {

  public function preProcess() {

    //todo: Find a better way to retrieve selected ids
    $keys = array_keys($this->controller->exportValues());
    $participantIds = preg_grep('/(mark)\w+/', $keys);

    foreach ($participantIds as $participantId) {
      $values = explode('_', $participantId);
      $ids[] = $values[2];
    }

    foreach ($ids as $participantID) {
      $participant = Participant::get(FALSE)
        ->addSelect('*', 'status_id:name', 'contact_id.display_name', 'contact_id.id', 'event_id.id', 'event_id.title', 'event_id.Event_Certificate.download_certificate')
        ->addWhere('id', '=', $participantID)
        ->execute()
        ->first();

      $context[] = ['contactId' => $participant['contact_id.id'], 'participantId' => $participantID, 'eventId' => $participant['event_id.id']];
      $messageTemplateID = \Civi::settings()->get('certificates_event_defaultmessagetemplateid');

      if (empty($messageTemplateID)) {
        \Civi::log()->error('Event attendance certificate has no message template ID set!');
        throw new \CRM_Core_Exception('Attendance certificate generation disabled.');
      }

      $downloadPDF = new PDFCertificate();
      $filename = $participant['contact_id.display_name'] . '_' . $participant['event_id'] . '_attendance_certificate_' . $participant['event_id.title'];
    }

    $downloadPDF->download($messageTemplateID, $context, $filename);
  }

}
