# Release Notes

Releases use the following numbering system:
**{major}.{minor}.{incremental}**

* major: Major refactoring or rewrite - make sure you read and test very carefully!
* minor: Breaking change in some circumstances, or a new feature. Read carefully and make sure you understand the impact of the change.
* incremental: A "safe" change / improvement. Should *always* be safe to upgrade.

* **[BC]**: Items marked with [BC] indicate a breaking change that will require updates to your code if you are using that code in your extension.

## Release 1.2 (2024-06-28)

* Fix context for activity certificates
* Add link to release notes!
* Add error handling around certificate token generation

## Release 1.1 (2024-05-27)

**Note: Breaking change. You need to add `Print own Certificate` permission to all user roles that should be able
to download their own certificate otherwise users will no longer be able to download certificates when you upgrade
from 1.0**

* Implement `civi.certificates.authorize` event for certificates which allows you to customise permissions to access the certificates.
* Use exceptions where possible so feedback is providing to the user when permission is denied etc.
* Respect "PDF format" settings on MessageTemplate.
* Add support for Membership Certificates.
* Add permissions to certificates.
* Add action to print certificates.

## Release 1.0

Initial Release.

* Support generation of participant and activity certificates as PDF.
