<?php

use CRM_Certificates_ExtensionUtil as E;

return [
  [
    'name' => 'CustomGroup_Event_Certificate',
    'entity' => 'CustomGroup',
    'cleanup' => 'unused',
    'update' => 'unmodified',
    'params' => [
      'version' => 4,
      'values' => [
        'name' => 'Event_Certificate',
        'title' => E::ts('Event Certificate'),
        'extends' => 'Event',
        'extends_entity_column_id' => NULL,
        'extends_entity_column_value' => NULL,
        'style' => 'Inline',
        'collapse_display' => FALSE,
        'help_pre' => '',
        'help_post' => '',
        'weight' => 3,
        'is_active' => TRUE,
        'is_multiple' => FALSE,
        'min_multiple' => NULL,
        'max_multiple' => NULL,
        'collapse_adv_display' => TRUE,
        'created_date' => '2022-04-28 12:05:51',
        'is_reserved' => FALSE,
        'is_public' => FALSE,
        'icon' => '',
      ],
      'match' => [
        'name',
      ],
    ],
  ],
  [
    'name' => 'CustomGroup_Event_Certificate_CustomField_download_certificate',
    'entity' => 'CustomField',
    'cleanup' => 'unused',
    'update' => 'unmodified',
    'params' => [
      'version' => 4,
      'values' => [
        'custom_group_id.name' => 'Event_Certificate',
        'name' => 'download_certificate',
        'label' => E::ts('Download Attendance Certificate via User Dashboard?'),
        'data_type' => 'Boolean',
        'html_type' => 'Radio',
        'default_value' => '1',
        'is_required' => TRUE,
        'is_searchable' => TRUE,
        'is_search_range' => FALSE,
        'help_pre' => E::ts('Allow the user to download an event attendance certificate via the "User Dashboard"?'),
        'help_post' => NULL,
        'attributes' => NULL,
        'is_active' => TRUE,
        'is_view' => FALSE,
        'options_per_line' => NULL,
        'text_length' => 255,
        'start_date_years' => NULL,
        'end_date_years' => NULL,
        'date_format' => NULL,
        'time_format' => NULL,
        'note_columns' => 60,
        'note_rows' => 4,
        'column_name' => 'download_certificate_123',
        'option_group_id' => NULL,
        'serialize' => 0,
        'filter' => NULL,
        'in_selector' => FALSE,
        'fk_entity' => NULL,
      ],
      'match' => [
        'name',
        'custom_group_id',
      ],
    ],
  ],
  [
    'name' => 'CustomGroup_Event_Certificate_CustomField_Duration',
    'entity' => 'CustomField',
    'cleanup' => 'unused',
    'update' => 'unmodified',
    'params' => [
      'version' => 4,
      'values' => [
        'custom_group_id.name' => 'Event_Certificate',
        'name' => 'Duration',
        'label' => E::ts('Duration'),
        'data_type' => 'String',
        'html_type' => 'Text',
        'default_value' => 'N/A',
        'is_required' => TRUE,
        'is_searchable' => TRUE,
        'is_search_range' => FALSE,
        'help_pre' => E::ts('For display on the certificate: eg. 2 hours, 1 day'),
        'help_post' => NULL,
        'attributes' => NULL,
        'is_active' => TRUE,
        'is_view' => FALSE,
        'options_per_line' => NULL,
        'text_length' => 255,
        'start_date_years' => NULL,
        'end_date_years' => NULL,
        'date_format' => NULL,
        'time_format' => NULL,
        'note_columns' => 60,
        'note_rows' => 4,
        'column_name' => 'duration_130',
        'option_group_id' => NULL,
        'serialize' => 0,
        'filter' => NULL,
        'in_selector' => FALSE,
        'fk_entity' => NULL,
      ],
      'match' => [
        'name',
        'custom_group_id',
      ],
    ],
  ],
];
