<?php
/*
 +--------------------------------------------------------------------+
 | Copyright CiviCRM LLC. All rights reserved.                        |
 |                                                                    |
 | This work is published under the GNU AGPLv3 license with some      |
 | permitted exceptions and without any warranty. For full license    |
 | and copyright information, see https://civicrm.org/licensing       |
 +--------------------------------------------------------------------+
 */

use CRM_Certificates_ExtensionUtil as E;

return [
  'certificates_event_defaultmessagetemplateid' => [
    'name' => 'certificates_event_defaultmessagetemplateid',
    'type' => 'Int',
    'html_type' => 'text',
    'default' => 0,
    'is_domain' => 1,
    'is_contact' => 0,
    'title' => E::ts('Event Attendance Certificate Message Template ID'),
    'html_attributes' => [],
    'settings_pages' => [
      'certificates' => [
        'weight' => 10,
      ]
    ],
  ],
  'certificates_membership_defaultmessagetemplateid' => [
    'name' => 'certificates_membership_defaultmessagetemplateid',
    'type' => 'Int',
    'html_type' => 'text',
    'default' => 0,
    'is_domain' => 1,
    'is_contact' => 0,
    'title' => E::ts('Membership Certificate Message Template ID'),
    'html_attributes' => [],
    'settings_pages' => [
      'certificates' => [
        'weight' => 20,
      ]
    ],
  ],
  'certificates_activitytypes' => [
    'name' => 'certificates_activitytypes',
    'type' => 'String',
    'html_type' => 'textarea',
    'default' => '58:70',
    'is_domain' => 1,
    'is_contact' => 0,
    'title' => E::ts('List of activity types that are certificates'),
    'description' => E::ts('Specify one per line eg. 58:70 (activityTypeID:messageTemplateID).'),
    'html_attributes' => [
      'cols' => 60,
      'rows' => 4,
    ],
    'settings_pages' => [
      'certificates' => [
        'weight' => 30,
      ]
    ],
  ],
];
